Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleStreamable

    public interface AccessibleStreamable

Method Summary
`DataFlavor[]` | `getMimeTypes()` Returns an array of DataFlavor objects for the MIME types this object supports.
`InputStream` | `getStream(DataFlavor flavor)` Returns an InputStream for a DataFlavor

Method Detail

### getMimeTypes

    DataFlavor[] getMimeTypes()

  Returns an array of DataFlavor objects for the MIME types this object supports.

  Returns:
    an array of DataFlavor objects for the MIME types this object supports.

### getStream

    InputStream getStream(DataFlavor flavor)

  Returns an InputStream for a DataFlavor

  Parameters:
    `flavor` - the DataFlavor
  Returns:
    an ImputStream if an ImputStream for this DataFlavor exists. Otherwise, null is returned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.